package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsFaultIssueLog;

/**
 * 告警保护方案下发日志Mapper接口
 *
 * @author xzzn
 * @date 2025-11-15
 */
public interface EmsFaultIssueLogMapper
{
    /**
     * 查询告警保护方案下发日志
     *
     * @param id 告警保护方案下发日志主键
     * @return 告警保护方案下发日志
     */
    public EmsFaultIssueLog selectEmsFaultIssueLogById(Long id);

    /**
     * 查询告警保护方案下发日志列表
     *
     * @param emsFaultIssueLog 告警保护方案下发日志
     * @return 告警保护方案下发日志集合
     */
    public List<EmsFaultIssueLog> selectEmsFaultIssueLogList(EmsFaultIssueLog emsFaultIssueLog);

    /**
     * 新增告警保护方案下发日志
     *
     * @param emsFaultIssueLog 告警保护方案下发日志
     * @return 结果
     */
    public int insertEmsFaultIssueLog(EmsFaultIssueLog emsFaultIssueLog);

    /**
     * 修改告警保护方案下发日志
     *
     * @param emsFaultIssueLog 告警保护方案下发日志
     * @return 结果
     */
    public int updateEmsFaultIssueLog(EmsFaultIssueLog emsFaultIssueLog);

    /**
     * 删除告警保护方案下发日志
     *
     * @param id 告警保护方案下发日志主键
     * @return 结果
     */
    public int deleteEmsFaultIssueLogById(Long id);

    /**
     * 批量删除告警保护方案下发日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsFaultIssueLogByIds(Long[] ids);

    // 根据logId获取日志
    public EmsFaultIssueLog selectEmsFaultIssueLogByLogId(String logId);
}
